Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrnv2.session.impl
Class ConsultrnPersonServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.consultrnv2.session.impl.ConsultrnPersonServiceImpl

All Implemented Interfaces:
  ConsultrnPersonService

    public class ConsultrnPersonServiceImpl

extends Object
implements ConsultrnPersonService

Constructor Summary
`ConsultrnPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

Method Summary
`SearchPersonBySsinResponse` | `searchPersonBySsin(SearchPersonBySsinRequest request)` When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with: `(SearchPersonBySsinResponse) soaErrorException.getResponseTypeV2()`
`SearchPersonPhoneticallyResponse` | `searchPersonPhonetically(SearchPersonPhoneticallyRequest request)` When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with: `(SearchPersonPhoneticallyResponse) soaErrorException.getResponseTypeV2()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultrnPersonServiceImpl

    public ConsultrnPersonServiceImpl(SessionValidator sessionValidator,
                                      EhealthReplyValidator replyValidator)

Method Detail

### searchPersonBySsin

    public SearchPersonBySsinResponse searchPersonBySsin(SearchPersonBySsinRequest request)
                                                  throws TechnicalConnectorException

  Description copied from interface: `ConsultrnPersonService`
  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

       (SearchPersonBySsinResponse) soaErrorException.getResponseTypeV2()

  Specified by:
    `searchPersonBySsin` in interface `ConsultrnPersonService`
  Throws:
    `TechnicalConnectorException`

### searchPersonPhonetically

    public SearchPersonPhoneticallyResponse searchPersonPhonetically(SearchPersonPhoneticallyRequest request)
                                                              throws TechnicalConnectorException

  Description copied from interface: `ConsultrnPersonService`
  When a `SoaErrorException` is thrown the response containing the error status info can be retrieved with:

       (SearchPersonPhoneticallyResponse) soaErrorException.getResponseTypeV2()

  Specified by:
    `searchPersonPhonetically` in interface `ConsultrnPersonService`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.